<?php

namespace Simplyin\Simplyin_W_Plugin\Shipping_Mapping\Simplyin;


use Simplyin\Simplyin_W_Plugin\Shipping_Mapping\Integration\Integration_Interface;

interface Simplyin_Method_Interface {

	public function get_logistic_provider(): string;

	public function get_id(): string;

	public function get_title(): string;

	public function is_integration_supported( Integration_Interface $integration
	): bool;

	public function to_array(): array;

}
